## org.eclipse.datatools.sqltools.sqlbuilder.model
Class SQLStatementInfo

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.SQLStatementInfo

All Implemented Interfaces:
  ISQLStatementInfo

    public class SQLStatementInfo

extends java.lang.Object
implements ISQLStatementInfo

This class defines the set of properties which define a SQL statement in a string. The DialectInfo object is optional and should only be used if the dialect in which the statement was created is different from that of the current connection.

Author:
  Jeremy Lindop

Constructor Summary
`SQLStatementInfo()` Constructor for SQLStatementInfo
`SQLStatementInfo(java.lang.String sql)` Constructor for SQLStatementInfo

Method Summary
`static SQLStatementInfo` `decode(java.lang.String code)` Decodes a `SQLStatementInfo` from an encoded String.
`java.lang.String` `encode()` Implements `ISQLStatementInfo.encode()`
`java.lang.String` `getSQL()` Implements `ISQLStatementInfo.getSQL()`
`ISQLDialectInfo` `getSQLDialectInfo()` Implements `ISQLStatementInfo.getSQLDialectInfo()`
`void` `setSQL(java.lang.String sql)` Implements `ISQLStatementInfo.setSQL(String)`
`void` `setSQLDialectInfo(ISQLDialectInfo sqlDialectInfo)` Implements `ISQLStatementInfo.setSQLDialectInfo(ISQLDialectInfo)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLStatementInfo

    public SQLStatementInfo()

  Constructor for SQLStatementInfo

### SQLStatementInfo

    public SQLStatementInfo(java.lang.String sql)

  Constructor for SQLStatementInfo

Method Detail

### getSQL

    public java.lang.String getSQL()

  Implements `ISQLStatementInfo.getSQL()`

  Specified by:
    `getSQL` in interface `ISQLStatementInfo`
  Returns:
    the SQL

### setSQL

    public void setSQL(java.lang.String sql)

  Implements `ISQLStatementInfo.setSQL(String)`

  Specified by:
    `setSQL` in interface `ISQLStatementInfo`

### getSQLDialectInfo

    public ISQLDialectInfo getSQLDialectInfo()

  Implements `ISQLStatementInfo.getSQLDialectInfo()`

  Specified by:
    `getSQLDialectInfo` in interface `ISQLStatementInfo`
  Returns:
    the ISQLDialectInfo

### setSQLDialectInfo

    public void setSQLDialectInfo(ISQLDialectInfo sqlDialectInfo)

  Implements `ISQLStatementInfo.setSQLDialectInfo(ISQLDialectInfo)`

  Specified by:
    `setSQLDialectInfo` in interface `ISQLStatementInfo`

### encode

    public java.lang.String encode()

  Implements `ISQLStatementInfo.encode()`

  Specified by:
    `encode` in interface `ISQLStatementInfo`
  Returns:
    encoded String
  See Also:
    `decode()`

### decode

    public static SQLStatementInfo decode(java.lang.String code)

  Decodes a `SQLStatementInfo` from an encoded String.

  Parameters:
    `code` - encoded `SQLStatementInfo` object.
  Returns:
    `SQLStatementInfo` object
  See Also:
    `encode()`